
Foreman - Feature #9561

[RFE] Write structured logs to journald

02/26/2015 06:09 AM - Duncan Innes

Status: Duplicate   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Logging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Redirecting all application logs to syslog/journald will simplify life for Sys Admins.

Providing structured key:value pair fields to journald would elevate this functionality further.

Apache HTTP Server 2.5 recently added this kind of capability: http://httpd.apache.org/docs/trunk/mod/mod_journald.html

For complex estates with a central Foreman server and multiple smart proxies dotted around the network, it is a huge benefit to be

able to pull all log files back to a central point. This would be made very much easier by the relevant applications writing their log files

directly to journald.

(blatant copy of Katello ticket: http://projects.theforeman.org/issues/9560 but I wanted to make sure that both sides of the

Foreman/Katello coin were covered)

Related issues:

Has duplicate Foreman - Tracker #8360: Full journald support Duplicate 11/12/2014

History

#1 - 02/26/2015 10:12 AM - Lukas Zapletal

- Has duplicate Tracker #8360: Full journald support added

#2 - 02/26/2015 10:13 AM - Lukas Zapletal

- Status changed from New to Duplicate

Hello, we already track this effort, but since we still fully support RHEL 6 systems, we don't rush with this.

#3 - 02/26/2015 10:32 AM - Duncan Innes

Could it not be optional in the installer?

(P.S.  I did search for "journald" tickets - honest!)

#4 - 03/02/2015 04:17 AM - Lukas Zapletal

Hey, I don't think we will be introducing option for this, systemd is the preferred way and it is feature rich.

No problem, it happens :-)

#5 - 03/29/2018 01:19 PM - Lukas Zapletal

- Category set to Logging

- Assignee set to Lukas Zapletal

Done, in nightly as #22569
